# -*- coding: utf-8; -*-
"""
Tasks for 'byjove' project
"""

from invoke import task


@task
def release(c):
    """
    Release a new version of 'byjove'
    """
    c.run("find . -name '*~' -delete")
    c.run('npm run build')
    otp = c.run('otp npm').stdout.strip()
    c.run('npm publish --otp {}'.format(otp))
